if gflag==0,
latw=str2num(get(h21a,'String')) + str2num(get(h21b,'String'))/60 ;
lonw=str2num(get(h24a,'String')) + str2num(get(h24b,'String'))/60 ; 
lontest=get(h24c,'String');
lattest=get(h21c,'String');

if lontest=='W' | lontest=='w',
lonw=-lonw;
elseif lontest=='E' | lontest=='e',
lonw=lonw;
else
disp('Error in longitude E/W')
break
end

if lattest=='S' | lattest=='s'
latw=-latw;
elseif lattest=='N' | lattest=='n'
latw=latw;
else
disp('Error in latitude N/S')
break
end
end

figure(1)
plot(lonw,latw,'ok',lonw,latw,'*k')

figure(2)

I1=((lonw-2) < lon(1,:) & lon(1,:) < (lonw+2)) ;
I2=((latw-2) < lat(:,1) & lat(:,1) < (latw+2));

if sum(I1)>=3 & sum(I2)>=3,
lon_tmp=lon(I2,I1);
lat_tmp=lat(I2,I1);
h_tmp=h(I2,I1);
h14=interp2(lon_tmp,lat_tmp,h_tmp,lonw,latw,'*cubic');
set(hz,'String',num2str(round(h14)));
else
disp(' ')
disp('ERROR:  The point of interest is out of the range of tidal data.')
disp(' ')
end

